// slider and fitting track
include <lad_link.scad>;
include <lad_rack&gear.scad>;

slider_length = 150;
slider_width = 10;
slider_height = 10;

track_length = 150;
track_width = 30;
track_height = 15;

module slider() {
	cube([slider_length, slider_width, slider_height], center = true);
}

module track() {
	difference() {
		cube([track_length, track_width, track_height], center = true);
		translate([-slider_length/2, 0, track_height-slider_height]) slider();
		translate([slider_length/2, 0, track_height-slider_height]) slider();

		// link holes
		translate([track_length/2, -track_width/2, 0]) 
			rotate(a=[90, 0, 0]) link_hole();
		translate([track_length/2, track_width/2, 0]) 
			rotate(a=[90, 0, 0]) link_hole();
		translate([-track_length/2, -track_width/2, 0]) 
			rotate(a=[90, 0, 0]) link_hole();
		translate([-track_length/2, track_width/2, 0]) 
			rotate(a=[90, 0, 0]) link_hole();
	}
}

sft_width = 5;

module slider_for_tracks() {
	union() {
		slider();
		
		translate([(slider_length-sft_width)/2, 0, slider_height])
			cube([sft_width, slider_width, track_height], center=true);
	
		translate([-(slider_length-sft_width)/2, 0, slider_height])
			cube([sft_width, slider_width, track_height], center=true);

		translate([0, 0, slider_height])
			cube([slider_length-2*(sft_width+track_width), slider_width, track_height], center=true);
	}
}

motor_z_offset = 10;
horn_distance = 15;

module slider_for_motor() {
	union() {
		slider();
		
		translate([(slider_length-sft_width)/2, 0, slider_height])
			cube([sft_width, slider_width, track_height], center=true);
	
		translate([-(slider_length-sft_width)/2, 0, slider_height])
			cube([sft_width, slider_width, track_height], center=true);

		translate([(slider_length-sft_width)/2-sft_width-track_width, 0, slider_height])
			cube([sft_width, slider_width, track_height], center=true);
	
		translate([-(slider_length-sft_width)/2+sft_width+track_width, 0, slider_height])
			cube([sft_width, slider_width, track_height], center=true);

		translate([-(slider_length-sft_width)/2+sft_width+track_width+ladder_width, 0, slider_height])
			cube([sft_width, slider_width, motor_z_offset], center=true);

		translate([-(slider_length-sft_width)/2+sft_width+track_width+ladder_width+horn_distance, 0, slider_height])
			cube([sft_width, slider_width, motor_z_offset], center=true);

		translate([-(slider_length-sft_width)/2+sft_width+track_width+ladder_width+2*horn_distance, 0, slider_height])
			cube([sft_width, slider_width, motor_z_offset], center=true);

	}
}

//slider_for_motor();
